#!/usr/local/bin/bash

CONFFILE=/usr/local/etc/qmrtg.conf
QMRTG_DBPATH=/tmp/qmrtg

# checking for arguments
if ( [ -z $1 ] || [ -z $2 ] ); then
	echo "Error."
	echo "qmail-send, qmail-smtpd and qmail-pop3d log directories must be specified."
	echo "Usage:"
	echo "qmrtgsync.sh d_send d_smtpd d_pop3d"
	echo "where d_X are log directories for qmail-X."
	echo "d_pop3d can be omitted if pop3d isn't used."
	exit 1
fi

[ -x $1 ] || { echo "Error: qmail-send log directory isn't accessible."; exit 1; }
[ -x $2 ] || { echo "Error: qmail-smtpd log directory isn't accessible."; exit 2; }
[ -z $3 ] || [ -x $1 ] || { echo "Error: qmail-pop3d log directory isn't accessible."; exit 3; }


[ -f $CONFFILE ] && . $CONFFILE


echo -n "syncing deliveries............"
qmrtg.sh deliveries $1 1>/dev/null
echo "done"
echo -n "syncing bytes................."
qmrtg.sh bytes $1 1>/dev/null
echo "done"
echo -n "syncing errors................"
qmrtg.sh errors $1 1>/dev/null
echo "done"
echo -n "syncing smtp.................."
qmrtg.sh smtp $2 1>/dev/null
echo "done"
echo -n "syncing smtp-concurrency......"
qmrtg.sh smtp-concurrency $2 1>/dev/null
echo "done"
if ( ! [ -z $3 ] ) ; then
	echo -n "syncing pop..................."
	qmrtg.sh pop $3 1>/dev/null
	echo "done"
	echo -n "syncing pop-concurrency......."
	qmrtg.sh pop-concurrency $3 1>/dev/null
	echo "done"
fi

